## org.eclipse.datatools.sqltools.sql.parser.ast
Interface IASTSQLParam

All Known Implementing Classes:
  ASTSQLParam, ASTSQLParam

    public interface IASTSQLParam

Interface for a parameter definition/local variable definition

Author:
  Hui Cao

Field Summary
`static int` `INOUT`
`static int` `INPUT`
`static int` `OUTPUT`

Method Summary
`java.lang.String` `getDefaultValue()`
`int` `getDirection()`
`java.lang.String` `getName()`
`java.lang.String` `getType()`
`IASTSQLDataType` `getTypeObject()`
`void` `setDefaultValue(java.lang.String defaultValue)`
`void` `setDirection(int direction)`
`void` `setName(java.lang.String name)`
`void` `setType(java.lang.String type)`
`void` `setTypeObject(IASTSQLDataType type)`

Field Detail

### INPUT

    static final int INPUT

See Also:
  Constant Field Values

### OUTPUT

    static final int OUTPUT

See Also:
  Constant Field Values

### INOUT

    static final int INOUT

See Also:
  Constant Field Values

Method Detail

### getDefaultValue

    java.lang.String getDefaultValue()

### setDefaultValue

    void setDefaultValue(java.lang.String defaultValue)

### getDirection

    int getDirection()

### setDirection

    void setDirection(int direction)

### getName

    java.lang.String getName()

### setName

    void setName(java.lang.String name)

### getType

    java.lang.String getType()

### setType

    void setType(java.lang.String type)

### getTypeObject

    IASTSQLDataType getTypeObject()

### setTypeObject

    void setTypeObject(IASTSQLDataType type)